%{?nodejs_find_provides_and_requires}

Name:       nodejs-ronn
Version:    0.4.0
Release:    5%{?dist}
Summary:    Markdown to roff/html converter
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/kapouer/ronnjs
Source0:    http://registry.npmjs.org/ronn/-/ronn-%{version}.tgz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
Javascript port of ronn, using markdown-js to produce roff man pages. Not fully
compatible with ronn, although it aims to be, wherever possible.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/ronn
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/ronn

mkdir -p %{buildroot}%{_bindir}
ln -s ../lib/node_modules/ronn/bin/ronn.js %{buildroot}%{_bindir}/ronn-nodejs

%nodejs_symlink_deps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/ronn
%{_bindir}/ronn-nodejs
%doc README.md LICENSE CHANGES TODO

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.0-4
- add macro to invoke dependency generator on EL6

* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-3
- restrict to compatible arches

* Wed Jun 05 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.0-2
- rename executable so as not to conflict with rubygem-ronn

* Tue Apr 16 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.0-1
- new upstream release 0.4.0
- markdown now unbundled upstream

* Wed Mar 20 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-6
- fix require on markdown

* Sat Mar 16 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-5
- unbundle markdown

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-4
- add missing build section
- capitalize summary

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-3
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-2
- guard Requires for F17 automatic depedency generation

* Sat Feb 25 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-1
- new upstream release 0.3.8

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.7-2
- add Group to make EL5 happy

* Thu Nov 17 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.7-1
- initial package
